import 'package:dashboard_shell/dashboard_shell.dart';
import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class DashboardBuilder {
  const DashboardBuilder();

  Widget build(BuildContext context, StatefulNavigationShell navShell) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return DashboardScreen(
      navigationShell: navShell,
      navigationContract: navigationContract,
    );
  }
}
